{
  num: 740,
  accuracy: 100,
  basePower: 95,
  category: "Special",
  isNonstandard: "LGPE",
  name: "Sparkly Swirl",
  pp: 5,
  priority: 0,
  flags: { protect: 1, mirror: 1, bypasssub: 1 },
  self: {
    onHit(pokemon, source, move) {
      this.add("-activate", source, "move: Aromatherapy");
      for (const ally of source.side.pokemon) {
        if (ally !== source && (ally.volatiles["substitute"] && !move.infiltrates)) {
          continue;
        }
        ally.cureStatus();
      }
    }
  },
  secondary: null,
  target: "normal",
  type: "Fairy",
  contestType: "Clever"
} 